optparse-applicative-0.18.1.0: Utilities and combinators for parsing command line options

Safe Haskell | Safe-Inferred
Language | Haskell98

Options.Applicative.Help

Synopsis

- module Options.Applicative.Help.Pretty
- module Options.Applicative.Help.Chunk
- module Options.Applicative.Help.Types
- module Options.Applicative.Help.Core
- module Options.Applicative.Help.Levenshtein

# Documentation

This is an empty module which re-exports the help text system for optparse.

Pretty printer. Reexports most combinators from Text.PrettyPrint.ANSI.Leijen

module Options.Applicative.Help.Pretty

A free monoid over Doc with helpers for composing help text components.

module Options.Applicative.Help.Chunk

Types required by the help system.

module Options.Applicative.Help.Types

Core implementation of the help text generator.

module Options.Applicative.Help.Core

Edit distance calculations for suggestions

module Options.Applicative.Help.Levenshtein